package name.nathanmcrae;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.core.JsonProcessingException;
import com.fasterxml.jackson.dataformat.xml.XmlMapper;
import java.io.File;
import java.io.IOException;
import javafx.fxml.FXML;
import javafx.scene.control.TextField;

public class NumbersStationSettingsController {
    private NumbersStationSettings settings;

    public NumbersStationSettingsController() throws IOException {
        System.out.println("Created settings controller");
        File file = new File("setting-test.xml");
        XmlMapper xmlMapper = new XmlMapper();
        settings = xmlMapper.readValue(file, NumbersStationSettings.class);
        settings.setRefreshInterval(settings.getRefreshInterval() + 40);
        settings.getStations().add(new StationSettings());
    }

    @FXML
    private void handleSaveButtonPress() throws IOException {
        XmlMapper xmlMapper = new XmlMapper();
        xmlMapper.writeValue(new File("setting-test.xml"), settings);
    }
}
